commit:     34c9e28342e6cb7f20fb501c530d62fb8a9afcc5
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 28 20:16:53 2025 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Mar 28 20:24:16 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34c9e283

dev-libs/libinput: Version bump to 1.28.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-libs/libinput/Manifest               |   1 +
 dev-libs/libinput/libinput-1.28.0.ebuild | 102 +++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/dev-libs/libinput/Manifest b/dev-libs/libinput/Manifest
index cc8dc277f027..0d4f1d23382b 100644
--- a/dev-libs/libinput/Manifest
+++ b/dev-libs/libinput/Manifest
@@ -1 +1,2 @@
 DIST libinput-1.27.1.tar.bz2 844741 BLAKE2B 
816977ea6fdc84c160523ad574801f818cdf9f8da5b0ebe30e04a71c2d1ebd15e1530cacf4d56893ef3e23fa14cd7bcd25b6ce6661adf291e8d7a9d4ab2b7752
 SHA512 
c8312000d7ce8c6f209b233177358c53dc830769cf2a80bd23ceebb408a0371de668846a5d1321b6ef803b3c17af5c0aba941ce5a2dc1fac6a0d5d791a13088b
+DIST libinput-1.28.0.tar.bz2 863909 BLAKE2B 
545e38f34be0ada14535f5928fa0863eedee5109f2aa191d780bdbfb4d67f81a1b6cb05ffdb39dc19d3f5e598e491acc4d1b91ddbf84ad69940c1988ff0d8f57
 SHA512 
2665fbfbf47f8ef329e387841ff9542b6191925d2fb46a19be64ef0b2e274db3b9ce8b42652ccdeb18c66e3a3c748ff576b313ecb8f7f6b4a01102bfb3e999e3

diff --git a/dev-libs/libinput/libinput-1.28.0.ebuild 
b/dev-libs/libinput/libinput-1.28.0.ebuild
new file mode 100644
index 000000000000..3b150a3add3f
--- /dev/null
+++ b/dev-libs/libinput/libinput-1.28.0.ebuild
@@ -0,0 +1,102 @@
+# Copyright 2014-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+inherit meson optfeature python-any-r1 udev
+
+DESCRIPTION="Library to handle input devices in Wayland"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/libinput/ 
https://gitlab.freedesktop.org/libinput/libinput";
+SRC_URI="https://gitlab.freedesktop.org/${PN}/${PN}/-/archive/${PV}/${P}.tar.bz2";
+
+LICENSE="MIT"
+SLOT="0/10"
+if [[ $(ver_cut 3) -lt 900 ]] ; then
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+IUSE="doc input_devices_wacom test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       input_devices_wacom? ( >=dev-libs/libwacom-0.27:= )
+       >=dev-libs/libevdev-1.9.902
+       >=sys-libs/mtdev-1.1
+       virtual/libudev:=
+       virtual/udev
+"
+DEPEND="
+       ${RDEPEND}
+       test? ( >=dev-libs/check-0.9.10 )
+"
+BDEPEND="
+       virtual/pkgconfig
+       doc? (
+               $(python_gen_any_dep '
+                       dev-python/commonmark[${PYTHON_USEDEP}]
+                       dev-python/recommonmark[${PYTHON_USEDEP}]
+                       dev-python/sphinx[${PYTHON_USEDEP}]
+                       >=dev-python/sphinx-rtd-theme-0.2.4[${PYTHON_USEDEP}]
+               ')
+               >=app-text/doxygen-1.8.3
+               >=media-gfx/graphviz-2.38.0
+       )
+       test? (
+               $(python_gen_any_dep '
+                       dev-python/pytest[${PYTHON_USEDEP}]
+                       dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               ')
+       )
+"
+#      test? ( dev-debug/valgrind )
+
+python_check_deps() {
+       if use doc; then
+               python_has_version \
+                       "dev-python/commonmark[${PYTHON_USEDEP}]" \
+                       "dev-python/recommonmark[${PYTHON_USEDEP}]" \
+                       "dev-python/sphinx[${PYTHON_USEDEP}]" \
+                       ">=dev-python/sphinx-rtd-theme-0.2.4[${PYTHON_USEDEP}]" 
\
+               || return
+       fi
+       if use test; then
+               python_has_version \
+                       "dev-python/pytest[${PYTHON_USEDEP}]" \
+                       "dev-python/pytest-xdist[${PYTHON_USEDEP}]" \
+               || return
+       fi
+}
+
+src_prepare() {
+       default
+       sed "s@, '-Werror'@@" -i meson.build || die #744250
+}
+
+src_configure() {
+       # gui can be built but will not be installed
+       local emesonargs=(
+               -Ddebug-gui=false
+               $(meson_use doc documentation)
+               $(meson_use input_devices_wacom libwacom)
+               $(meson_use test tests)
+               -Dudev-dir="${EPREFIX}$(get_udevdir)"
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       if use doc ; then
+               docinto html
+               dodoc -r "${BUILD_DIR}"/Documentation/.
+       fi
+}
+
+pkg_postinst() {
+       optfeature "measure and replay tools" dev-python/libevdev
+       udev_reload
+}
+
+pkg_postrm() {
+       udev_reload
+}

Reply via email to